r1ch.net forums
* Home Help Search Login Register
r1ch.net  |  r1ch.net stuff  |  R1Q2  |  Topic: wrong map version
Pages: [1]
Author Topic: wrong map version  (Read 2489 times)
« on: January 23, 2009, 08:40:37 am »

Hello, I compiled r1q2 from the sources under linux (amd64). I want to play the usual singleplayer campaign that comes with Quake 2. But whenever i try to start a new game, no matter whether via the menu or
map base1
r1q2 tells me :
------- Loading gamex86_64.so -------
Loaded Game DLL, version 3
==== InitGame ====
------- Server Initialization -------
50 entities inhibited
1 teams with 2 entities
hook connected client_connect

Outer Base
ERROR: Local map version differs from server: 0xcae30620 != 0xcae30620
==== ShutdownGame ====

Doesnt make any sense to me, does it?
Any Idea why this happens, did I misconfigure/ install it the wrong way? I just copied the baseq2 - dir from the cd and put the quake2 - executable, ref_gl.so and game-?.s into the game folder.

Thank you

Posts: 22

« Reply #1 on: January 23, 2009, 10:03:34 am »

Some times I have the same problem playing online... I need delete the map (generally a custom map) to download again.... But in the next time that I play the same map, the same problem occur...

Posts: 2625

« Reply #2 on: January 23, 2009, 02:18:58 pm »

The 64 bit client hasn't been extensively tested, only the server. I guess there is a long / int / unsigned issue on 64 bit platforms that causes this.
Pages: [1]
r1ch.net  |  r1ch.net stuff  |  R1Q2  |  Topic: wrong map version
Jump to:  

Powered by SMF 1.1.19 | SMF © 2013, Simple Machines